Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface IIOPMBean

public interface IIOPMBean
extends ConfigurationMBean

Configuration for IIOP properties.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`int` | `getCompleteMessageTimeout()` Deprecated.
`java.lang.String` | `getDefaultCharCodeset()` Specify what codeset should be used for the default native character codeset.
`int` | `getDefaultMinorVersion()` Specify the default minor GIOP version for IIOP messages.
`java.lang.String` | `getDefaultWideCharCodeset()` Specify what codeset should be used for the default native wide character codeset.
`int` | `getIdleConnectionTimeout()` Specify the maximum number of seconds an IIOP connection is allowed to be idle before it is closed by the server.
`int` | `getMaxMessageSize()` Deprecated.
`java.lang.String` | `getSystemSecurity()` Specify the value System Security.
`java.lang.String` | `getTxMechanism()` Specify whether IIOP should use the WebLogic-specific JTA to propagate transactions or the OMG-specified OTS.
`void` | `setCompleteMessageTimeout(int seconds)` Deprecated.
`void` | `setDefaultCharCodeset(java.lang.String codeset)` Set the default character codeset.
`void` | `setDefaultMinorVersion(int minor)` Sets the default GIOP minor version.
`void` | `setDefaultWideCharCodeset(java.lang.String codeset)` Set the default wide character codeset.
`void` | `setIdleConnectionTimeout(int seconds)` Deprecated.
`void` | `setMaxMessageSize(int maxsize)` Deprecated.
`void` | `setSystemSecurity(java.lang.String authValue)`
`void` | `setTxMechanism(java.lang.String mech)` Sets the IIOP transaction propagation mechanism.
`void` | `setUseFullRepositoryIdList(boolean full)`
`void` | `setUseJavaSerialization(boolean use)`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getIdleConnectionTimeout

    public int getIdleConnectionTimeout()

  Specify the maximum number of seconds an IIOP connection is allowed to be idle before it is closed by the server. This attribute helps guard against server deadlock through too many open connections.

  Returns:
    The idleConnectionTimeout value

### setIdleConnectionTimeout

    public void setIdleConnectionTimeout(int seconds)
                                  throws javax.management.InvalidAttributeValueException,
                                         DistributedManagementException

  Deprecated.
  Sets the idleConnectionTimeout attribute of the IIOPMBean object

  A dynamic MBean attribute
  A configurable MBean attribute
  Default Value: -1
  Legal Minimum Value: 0
  Secure Value: 60
  Parameters:
    `seconds` - The new idleConnectionTimeout value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### getCompleteMessageTimeout

    public int getCompleteMessageTimeout()

  Deprecated.
  Specify the maximum number of seconds spent waiting for a complete IIOP message to be received. This attribute helps guard against denial of service attacks in which a caller indicates that they will be sending a message of a certain size which they never finish sending.

  Returns:
    The completeMessageTimeout value

### setCompleteMessageTimeout

    public void setCompleteMessageTimeout(int seconds)
                                   throws javax.management.InvalidAttributeValueException,
                                          DistributedManagementException

  Deprecated.
  Sets the completeMessageTimeout attribute of the IIOPMBean object

  A dynamic MBean attribute
  A configurable MBean attribute
  Default Value: -1
  Legal Minimum Value: 0
  Legal Maximum Value: 480
  Secure Value: 60
  Parameters:
    `seconds` - The new completeMessageTimeout value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### getMaxMessageSize

    public int getMaxMessageSize()

  Deprecated.
  Specify the maximum IIOP message size allowable in a message header. This attribute attempts to prevent a denial of service attack whereby a caller attempts to force the server to allocate more memory than is available thereby keeping the server from responding quickly to other requests.

  Returns:
    The maxMessageSize value

### setMaxMessageSize

    public void setMaxMessageSize(int maxsize)
                           throws javax.management.InvalidAttributeValueException,
                                  DistributedManagementException

  Deprecated.
  Sets the maxMessageSize attribute of the IIOPMBean object

  A configurable MBean attribute
  Default Value: -1
  Legal Minimum Value: 4096
  Legal Maximum Value: 2000000000
  Secure Value: 10000000
  Parameters:
    `maxsize` - The new maxMessageSize value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### getDefaultMinorVersion

    public int getDefaultMinorVersion()

  Specify the default minor GIOP version for IIOP messages. This attribute is useful for client orbs with broken GIOP 1.2 implementations.

  A configurable MBean attribute
  Default Value: 2
  Legal Minimum Value: 0
  Legal Maximum Value: 2
  Returns:
    The defaultMinorVersion value

### setDefaultMinorVersion

    public void setDefaultMinorVersion(int minor)
                                throws javax.management.InvalidAttributeValueException,
                                       DistributedManagementException

  Sets the default GIOP minor version.

  A configurable MBean attribute
  Parameters:
    `minor` - The new defaultMinorVersion value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -
    java.lang.IllegalArgumentException - if the argument is null or represents a negative int.

### getTxMechanism

    public java.lang.String getTxMechanism()

  Specify whether IIOP should use the WebLogic-specific JTA to propagate transactions or the OMG-specified OTS. It is not possible to use both since it affects the way transactions are negotiated.

  A configurable MBean attribute
  Default Value: "OTS"
  Legal Values: "OTS","JTA", "OTSv11", "none"
  Returns:
    The txMechanism value

### setTxMechanism

    public void setTxMechanism(java.lang.String mech)
                        throws javax.management.InvalidAttributeValueException,
                               DistributedManagementException

  Sets the IIOP transaction propagation mechanism.

  Parameters:
    `mech` - The new txMechanism value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### getDefaultWideCharCodeset

    public java.lang.String getDefaultWideCharCodeset()

  Specify what codeset should be used for the default native wide character codeset. This is required to interoperate with some Orbs that do not do codeset negotiation, or do it incorrectly. Setting this to anything other than UCS-2 will cause failure against JDK 1.3.1 clients.

  Default Value: "UCS-2"
  Legal Values: "UCS-2", "UTF-16", "UTF-8", "UTF-16BE", "UTF-16LE"
  Returns:
    The defaultWideCharCodeset value

### setDefaultWideCharCodeset

    public void setDefaultWideCharCodeset(java.lang.String codeset)
                                   throws javax.management.InvalidAttributeValueException,
                                          DistributedManagementException

  Set the default wide character codeset.

  Parameters:
    `codeset` - The new defaultWideCharCodeset value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### getDefaultCharCodeset

    public java.lang.String getDefaultCharCodeset()

  Specify what codeset should be used for the default native character codeset. This is required to interoperate with some Orbs that do not do codeset negotiation, or do it incorrectly. Setting this to anything other than US-ASCII will cause failure against JDK 1.3.1 clients.

  A configurable MBean attribute
  Default Value: "US-ASCII"
  Legal Values: "US-ASCII", "UTF-8", "ISO-8859-1"
  Returns:
    The defaultCharCodeset value

### setDefaultCharCodeset

    public void setDefaultCharCodeset(java.lang.String codeset)
                               throws javax.management.InvalidAttributeValueException,
                                      DistributedManagementException

  Set the default character codeset.

  A configurable MBean attribute
  Parameters:
    `codeset` - The new defaultCharCodeset value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### setUseFullRepositoryIdList

    public void setUseFullRepositoryIdList(boolean full)
                                    throws javax.management.InvalidAttributeValueException,
                                           DistributedManagementException

### setUseJavaSerialization

    public void setUseJavaSerialization(boolean use)
                                 throws javax.management.InvalidAttributeValueException,
                                        DistributedManagementException

### getSystemSecurity

    public java.lang.String getSystemSecurity()

  Specify the value System Security. The following variables are affected. clientCertAuthentication, clientAuthentication, identityAssertion confidentiality, integrity. The value set in this MBean would only be picked up if the value set in RTD.xml is "config".

  A configurable MBean attribute
  Default Value: "supported"
  Legal Values: "none", "supported", "required"
  Returns:
    The System Security value

### setSystemSecurity

    public void setSystemSecurity(java.lang.String authValue)
                           throws javax.management.InvalidAttributeValueException,
                                  DistributedManagementException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD